<div class="wrapper">
    <div class="content">
        <div class="container-fluid">
            <div class="header">
                <div class="header-title">
                    <span>
                        List of Cars
                    </span>
                </div>
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="javascript:;">Monitoring</a></li>
                        <li class="breadcrumb-item active" aria-current="page">List of Cars</li>
                    </ol>
                </nav>
            </div>
        </div>
        <div class="row">
            <div class="col-md-8">
                <div id="list-cars" class="card card-table">
                    <div class="card-body table-responsive">
                        <table id="table-list-cars" class="table">
                            <thead>
                                <tr>
                                    <th class="text-center">No</th>
                                    <th>Name</th>
                                    <th>Brand</th>
                                    <th>Color</th>
                                    <th>Description</th>
                                    <th>Stock</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                {#cars}
                                    <tr>
                                        <td class="align-middle">{@idx} {@math key="{$idx}" method="add" operand="1"/} {/idx}</td>
                                        <td class="align-middle text-nowrap">{car_name}</td>
                                        <td class="align-middle text-nowrap">{brand_name}</td>
                                        <td class="align-middle text-nowrap">{color}</td>
                                        <td class="align-middle text-nowrap">{description}</td>
                                        <td class="align-middle text-nowrap">{stock}</td>
                                        <td class="align-middle text-center text-nowrap">
                                            <a href="#/cars/{id}" class="btn btn-light btn-sm mr-1" title="View Detail">
                                                <i class="mdi mdi-eye-check-outline"></i>
                                            </a>
                                            <a href="javascript:;" data-id="{id}" aria-action="edit-cars" class="btn btn-light text-primary btn-sm mr-1" title="Edit Car">
                                                <i class="mdi mdi-pencil"></i>
                                            </a>
                                            <a href="javascript:;" data-id="{id}" aria-action="delete-cars" class="btn btn-light text-danger btn-sm mr-1" title="Delete Car">
                                                <i class="mdi mdi-trash-can-outline"></i>
                                            </a>
                                        </td>
                                    </tr>
                                {/cars}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">
                            <span container="form-subject">Add</span> Cars
                            <div class="float-right">
                                <a class="text-danger" href="javascript:;" aria-action="cancel-edit-cars" style="display: none;">
                                    <i class="mdi mdi-close"></i>
                                </a>
                            </div>
                        </h5>
                        <h6 class="card-subtitle text-muted">Form cars data from cars</h6>
                    </div>
                    <div class="card-body">
                        <form autocomplete="off" id="form-cars" enctype="multipart/form-data">
                            <div id="form-cars-card-error" class="card-error">
                                <div class="alert alert-danger" role="alert" style="display: none;">
                                    <div id="formCarsErrorMessage"></div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="setMainFonts">Name</label>
                                <input type="text" name="car_name" class="form-control mb-1" placeholder="Enter cars name">
                            </div>
                            <div class="form-group">
                                <label class="setMainFonts">Brand</label>
                                <select name="brand_id" class="form-control" style="width:100%" data-live-search="true">
                                    {#brands}
                                        <option value="{id}">{brand_name}</option>
                                    {/brands}
                                </select>
                            </div>
                            <div class="form-group">
                                <label class="setMainFonts">Color</label>
                                <input type="text" name="color" class="form-control mb-1" placeholder="Enter color">
                            </div>
                            <div class="form-group">
                                <label class="setMainFonts">Description</label>
                                <textarea class="form-control" name="description" rows="4" placeholder="Enter car description"></textarea>
                            </div>
                            <div class="form-group">
                                <label class="setMainFonts">Stock</label>
                                <input type="number" name="stock" class="form-control mb-1" placeholder="Enter stock">
                            </div>
                            <div class="form-group">
                                <label class="setMainFonts">Image</label>
                                <input type="file" name="image" class="form-control mb-1" placeholder="Enter image">
                            </div>
                            <button type="submit" class="btn btn-secondary btn-block" id="submit-cars">Submit</button>
                        </form>
                    </div> 
                </div>
            </div>
        </div>
    </div>
</div>